FileContentsMessageAdapter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.file.FileContentsMessageAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.file
Class FileContentsMessageAdapter

    java.lang.Object
      org.mule.transport.AbstractMessageAdapter
          org.mule.transport.file.FileMessageAdapter
              org.mule.transport.file.FileContentsMessageAdapter

All Implemented Interfaces:
  Serializable, ThreadSafeAccess, MessageAdapter

    public class FileContentsMessageAdapter

extends FileMessageAdapter

`FileContentsMessageAdapter` provides a wrapper for file data. Users can obtain the contents of the message through the payload property and can get the filename and directory in the properties using PROPERTY_FILENAME and PROPERTY_DIRECTORY.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.mule.api.ThreadSafeAccess
`ThreadSafeAccess.AccessControl`

Field Summary

Fields inherited from class org.mule.transport.file.FileMessageAdapter
`file, fileInputStream`

Fields inherited from class org.mule.transport.AbstractMessageAdapter
`attachments, exceptionPayload, id, logger, properties`

Fields inherited from interface org.mule.api.ThreadSafeAccess
`READ, WRITE`

Constructor Summary
`FileContentsMessageAdapter(FileContentsMessageAdapter template)`
`FileContentsMessageAdapter(Object message)`

Method Summary
`Object` | `getPayload()`
`ThreadSafeAccess` | `newThreadCopy()`

Methods inherited from class org.mule.transport.file.FileMessageAdapter
`getUniqueId, setFileMessage, setStreamMessage`

Methods inherited from class org.mule.transport.AbstractMessageAdapter
`addAttachment, addInboundProperties, addProperties, addProperties, assertAccess, clearProperties, getAttachment, getAttachmentNames, getBooleanProperty, getCorrelationGroupSize, getCorrelationId, getCorrelationSequence, getDoubleProperty, getEncoding, getExceptionPayload, getIntProperty, getLongProperty, getProperty, getProperty, getProperty, getPropertyNames, getPropertyNames, getReplyTo, getStringProperty, isDisabled, newException, release, removeAttachment, removeProperty, resetAccessControl, setBooleanProperty, setCorrelationGroupSize, setCorrelationId, setCorrelationSequence, setDoubleProperty, setEncoding, setExceptionPayload, setIntProperty, setLongProperty, setProperty, setProperty, setReplyTo, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileContentsMessageAdapter

    public FileContentsMessageAdapter(Object message)
                               throws MessagingException

Throws:
  `MessagingException`

### FileContentsMessageAdapter

    public FileContentsMessageAdapter(FileContentsMessageAdapter template)

Method Detail

### getPayload

    public Object getPayload()

  Specified by:
    `getPayload` in interface `MessageAdapter`
  Overrides:
    `getPayload` in class `FileMessageAdapter`
  Returns:
    the current message

### newThreadCopy

    public ThreadSafeAccess newThreadCopy()

  Description copied from class: `AbstractMessageAdapter`

  Specified by:
    `newThreadCopy` in interface `ThreadSafeAccess`
  Overrides:
    `newThreadCopy` in class `FileMessageAdapter`
  Returns:
    A new instance of the implementing class, unbound to any thread and mutable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.